Question

I installed Wordpress with Easy Engine and I am receiving an error that Wordpress cannot connect to Wordpress.org

I also have LetsEncrypt installed. Here is the full error:

FastCGI sent in stderr: "PHP message: PHP Warning: An unexpected error occurred. Something may be wrong with WordPress.org or this server configuration. WordPress could not establish a secure connection to WordPress.org. Please contact your server administrator.

Everything was working fine up until a few hours ago. I tried to search online for a solution but couldn’t find one.

This error is preventing me from downloading and installing plugins.

Any suggestions?

Mike


Submit an answer

This textbox defaults to using Markdown to format your answer.

You can type !ref in this text area to quickly search our full set of tutorials, documentation & marketplace offerings and insert the link!

Sign In or Sign Up to Answer

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

Accepted Answer

You’re probably hit by the latest security update from Ubuntu, which messed up some certificates, which PHP uses to make the secure connection. https://www.ubuntu.com/usn/usn-3239-1/

Run this service php7.0-fpm restart and it should fix it. Or simply restart your server. People running Apache, needs to restart that with service apache restart

Want to learn more? Join the DigitalOcean Community!

Join our DigitalOcean community of over a million developers for free! Get help and share knowledge in Q&A, subscribe to topics of interest, and get courses and tools that will help you grow as a developer and scale your project or business.

hi, I have faced the same issue, I am also used ee site update domainname.com --wp --wpfc For my site www.spotifyplus.com

I Used ee site update domainname.com --wp --wpfc for cache and It worked For my site spotifypremiumapkdld.com

This comment has been deleted